Rockstor 3.9.1 Install Error on Hardware

Unable to build v4 in WSL for my hardware, I’m attempting to install 3.9.1 but can’t get paste the below error :frowning: Anyone have any thoughts?
This is older hardware but has ran CentOS 7 previously. The only “new” ingredient here is I’ve switched to using an IODD drive to hold all my iso’s. This same hardware has loaded other iso’s from this drive but I haven’t done CentOS 7 off the drive yet… will be testing that shortly.

The package 'ntfsprogs' is required for this installation. This package does not exist. This is a fatal error and installation will be aborted.

16357013953728023824050952301179

Hello again :wink:

Would you be trying to install it on a disk that used to a Windows partition or some sort of dual-boot with Windows? ntfsprogs is usually needed for dealing with the Windows ntfs filesystem, and we have seen a report of something similar in such situation:

We probably should rather try to get you up and working on Rockstor 4, however. What kind of issue did you encounter while trying the WSL? We have seen reports of difficulty with WSL & WSL2, such as here, so maybe you are seeing the same. Alternatively, it seems the easiest route in Windows for the time being would be to use VirtualBox and run a Leap 15.3 VM in VirtualBox.

Hope this helps,

1 Like

Hey Flox,
Thanks for the quick reply!

The drive(s) I’m tested both had linux on them previously. But format/partition by the installer just fine, but then the package installation is next which immediately fails.
The newest drive, just installed CentOS 7 just fine off my IODD drive.

Honestly, I’m not a fan of v4 rollout, am just looking to pull an image down and run this NAS quick and easy (cuz that ever happens, haha).

I’ll keep trying to see if I can solve this as well.